View Issue Details

IDProjectCategoryView StatusLast Update
0001076bareos-core[All Projects] documentationpublic2019-07-03 11:53
ReporterdaftuAssigned Tofranku 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version18.2.5 
Target VersionFixed in Version 
Summary0001076: Lack of documented -n (no conio) parameter in bconsole
DescriptionOfficial documentation and linux man page of bconsole says, there is parameter -n (no conio) for scripting output
But there isn't.
Steps To ReproduceTry to list jobs in this way:
echo "list jobs" | bconsole -n
Result:
help message is being displayed
Expected:
job listing with script-friendly format
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impactyes
bareos-18.2: actionfixed
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

daftu

daftu

2019-04-11 07:56

reporter  

joergs

joergs

2019-07-02 16:50

administrator   ~0003403

Yes, this parameter has been removed with https://github.com/bareos/bareos/commit/20a68f3e49ba6f62c0933c3ad3b0a5e831db3c2b as documented in the release notes. However it is still mentioned in the man page.
franku

franku

2019-07-03 11:32

developer   ~0003408

Updated man page and source code where appropriate: Removed wrong references to conio.

Merged into master and bareos-18.2, all previous versions are not affected.

Related Changesets

bareos: master e0d3ef0c

2019-07-02 19:59:43

franku

Ported: N/A

Details Diff
cleanup: removed remainders of conio Affected Issues
0001076
mod - core/CMakeLists.txt Diff File
mod - core/cmake/BareosSetVariableDefaults.cmake Diff File
mod - core/debian/rules Diff File
mod - core/manpages/bconsole.1 Diff File
mod - core/platforms/freebsd/bareos-freebsd/bareos.com-common/BareosCommonMakefile Diff File
mod - core/platforms/packaging/bareos.spec Diff File
mod - core/po/POTFILES.in Diff File
mod - core/po/fr.po Diff File
mod - core/src/include/config.h.in Diff File
mod - regress/scripts/regress-config.in Diff File

Issue History

Date Modified Username Field Change
2019-04-11 07:56 daftu New Issue
2019-04-11 07:56 daftu File Added: Greenshot 2019-04-11 07.52.43.png
2019-07-02 16:50 joergs Assigned To => franku
2019-07-02 16:50 joergs Status new => acknowledged
2019-07-02 16:50 joergs Note Added: 0003403
2019-07-03 11:32 franku Description Updated View Revisions
2019-07-03 11:32 franku Steps to Reproduce Updated View Revisions
2019-07-03 11:32 franku bareos-master: impact => yes
2019-07-03 11:32 franku bareos-master: action => fixed
2019-07-03 11:32 franku bareos-18.2: impact => yes
2019-07-03 11:32 franku bareos-18.2: action => fixed
2019-07-03 11:32 franku Note Added: 0003408
2019-07-03 11:35 franku Status acknowledged => closed
2019-07-03 11:35 franku Resolution open => fixed
2019-07-03 11:35 franku Category director => documentation
2019-07-03 11:53 franku Changeset attached => bareos master e0d3ef0c